Copy page

Copy page as Markdown for LLMs

View as Markdown

View this page as plain text


Open in ChatGPT

Ask ChatGPT about this page

Open in Claude

Ask Claude about this page

Lal Kitab Planet Types API

Access Lal Kitab Planet Types from the DivineAPI Lal Kitab suite. Based on the principles of Lal Kitab (the Red Book of Vedic astrology), this endpoint returns the Lal Kitab classification of the planets for the provided birth details.


API Endpoint

POST https://astroapi-3.divineapi.com/indian-api/v1/lal-kitab/planet-types

Returns the requested Lal Kitab data in the response.


Supported Language Codes

You can localize the API response by passing the lan parameter in the request body.

CodeLanguage
enEnglish
hiHindi
bnBengali
maMarathi
tmTamil
tlTelugu
mlMalayalam
knKannada

Support Article: Translating Vedic APIs into Different Languages


Headers

NameTypeDescription
Authorization *StringYour API Access Token, e.g. Bearer {token}

Request Body

NameTypeDescription
api_key *StringYour API key
full_name *StringFull name, e.g. Rahul Kumar
day *IntegerDate of birth, e.g. 24
month *IntegerMonth of birth, e.g. 05
year *IntegerYear of birth, e.g. 2023
hour *IntegerHour (24-hour format), e.g. 14
min *IntegerMinute, e.g. 40
sec *IntegerSecond, e.g. 43
gender *StringGender, e.g. male
place *StringPlace of birth, e.g. New Delhi
lat *FloatLatitude, e.g. 28.7041
lon *FloatLongitude, e.g. 77.1025
tzone *FloatTimezone, e.g. 5.5 — See Timezone List
lanStringLanguage code as per the table above; default is en

200: OK Lal Kitab Planet Types Fetched Successfully

{
    "success": 1,
    "data": {
        "planet_types": {
            "kayam_grah": {
                "name": "Kayam Grah",
                "description": "Planet in own sign or pakka house with no enemy conjunction. Clean and powerful — gives strong, stable results.",
                "planets": [
                    "Venus"
                ],
                "details": [
                    {
                        "planet": "Venus",
                        "house": 7,
                        "reason": "Own Sign + Pakka Ghar (H7)"
                    }
                ]
            },
            "buniyadi_grah": {
                "name": "Buniyadi Grah",
                "description": "Planets in 5th/9th position from each other (4 houses apart). They support each other even as mutual enemies and provide a stable foundation.",
                "planets": [
                    "Sun",
                    "Saturn",
                    "Rahu",
                    "Moon",
                    "Mars",
                    "Ketu",
                    "Venus"
                ],
                "pairs": [
                    {
                        "planet_one": "Sun",
                        "house_one": 9,
                        "planet_two": "Saturn",
                        "house_two": 5,
                        "relationship": "5/9"
                    },
                    {
                        "planet_one": "Sun",
                        "house_one": 9,
                        "planet_two": "Rahu",
                        "house_two": 5,
                        "relationship": "5/9"
                    },
                    {
                        "planet_one": "Moon",
                        "house_one": 9,
                        "planet_two": "Saturn",
                        "house_two": 5,
                        "relationship": "5/9"
                    },
                    {
                        "planet_one": "Moon",
                        "house_one": 9,
                        "planet_two": "Rahu",
                        "house_two": 5,
                        "relationship": "5/9"
                    },
                    {
                        "planet_one": "Mars",
                        "house_one": 7,
                        "planet_two": "Ketu",
                        "house_two": 11,
                        "relationship": "5/9"
                    },
                    {
                        "planet_one": "Venus",
                        "house_one": 7,
                        "planet_two": "Ketu",
                        "house_two": 11,
                        "relationship": "5/9"
                    }
                ]
            },
            "andhe_grah": {
                "name": "Andhe Grah",
                "description": "Enemy planets placed together in the 10th house become blind. They obstruct each other and cannot give proper results in their significations.",
                "matched": false,
                "enemy_planets": [],
                "planets_in_h10": [
                    "Jupiter"
                ],
                "enemy_pairs": []
            },
            "bali_ka_bakra": {
                "name": "Bali ka Bakra",
                "description": "When a planet is afflicted it offloads its problems onto its designated sacrificial planet. The goat planet then gives bad results even if placed well.",
                "entries": [
                    {
                        "afflicted_planet": "Jupiter",
                        "afflicted_house": 10,
                        "affliction_reasons": [
                            "Debilitated"
                        ],
                        "sacrificial_goats": [
                            "Ketu"
                        ],
                        "goats_in_chart": [
                            "Ketu"
                        ]
                    },
                    {
                        "afflicted_planet": "Saturn",
                        "afflicted_house": 5,
                        "affliction_reasons": [
                            "Enemy Sign"
                        ],
                        "sacrificial_goats": [
                            "Rahu",
                            "Ketu"
                        ],
                        "goats_in_chart": [
                            "Rahu",
                            "Ketu"
                        ]
                    }
                ]
            },
            "banavati_grah": {
                "name": "Banavati Grah",
                "description": "Planets in mutual exchange (each in the other's natural house). They gain artificial/manufactured strength. The effect is temporary and not genuine.",
                "planets": [],
                "pairs": []
            },
            "grahan_grah": {
                "name": "Grahan Grah",
                "description": "Sun or Moon placed with Rahu or Ketu creates an eclipse effect. The eclipsed planet cannot give proper results and weakens its significations.",
                "planets": [],
                "details": []
            },
            "sarpa_grah": {
                "name": "Sarpa Grah",
                "description": "A planet hemmed between enemy planets in adjacent houses. Trapped like a snake — gives obstructed, malefic results.",
                "planets": [
                    "Mercury"
                ],
                "details": [
                    {
                        "planet": "Mercury",
                        "house": 8,
                        "hemmed_by": [
                            {
                                "house": 7,
                                "enemies": [
                                    "Mars"
                                ]
                            },
                            {
                                "house": 9,
                                "enemies": [
                                    "Moon"
                                ]
                            }
                        ]
                    }
                ]
            }
        }
    }
}

Code Integration Examples

Below are examples for using this API in different programming environments.


cURL Example

curl --location 'https://astroapi-3.divineapi.com/indian-api/v1/lal-kitab/planet-types' \
--header 'Authorization: Bearer {Your Auth Token}' \
--form 'api_key="{Your API Key}"' \
--form 'full_name="Test"' \
--form 'day="24"' \
--form 'month="05"' \
--form 'year="2023"' \
--form 'hour="14"' \
--form 'min="40"' \
--form 'sec="43"' \
--form 'gender="male"' \
--form 'place="New Delhi"' \
--form 'lat="28.7041"' \
--form 'lon="77.1025"' \
--form 'tzone="5.5"' \
--form 'lan="en"' \

NodeJS Example

var request = require('request');
var options = {
  'method': 'POST',
  'url': 'https://astroapi-3.divineapi.com/indian-api/v1/lal-kitab/planet-types',
  'headers': {
    'Authorization': 'Bearer {Your Auth Token}'
  },
  formData: {
    'api_key': '{Your API Key}',
    'full_name': 'Test',
    'day': '24',
    'month': '05',
    'year': '2023',
    'hour': '14',
    'min': '40',
    'sec': '43',
    'gender': 'male',
    'place': 'New Delhi',
    'lat': '28.7041',
    'lon': '77.1025',
    'tzone': '5.5',
    'lan': 'en'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

JavaScript (jQuery AJAX) Example

var form = new FormData();
form.append("api_key", "{Your API Key}");
form.append("full_name", "Test");
form.append("day", "24");
form.append("month", "05");
form.append("year", "2023");
form.append("hour", "14");
form.append("min", "40");
form.append("sec", "43");
form.append("gender", "male");
form.append("place", "New Delhi");
form.append("lat", "28.7041");
form.append("lon", "77.1025");
form.append("tzone", "5.5");
form.append("lan", "en");

var settings = {
  "url": "https://astroapi-3.divineapi.com/indian-api/v1/lal-kitab/planet-types",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {Your Auth Token}"
  },
  "processData": false,
  "mimeType": "multipart/form-data",
  "contentType": false,
  "data": form
};

$.ajax(settings).done(function (response) {
  console.log(response);
});

Python Example

import requests

url = "https://astroapi-3.divineapi.com/indian-api/v1/lal-kitab/planet-types"

payload = {'api_key': '{Your API Key}',
'full_name': 'Test',
'day': '24',
'month': '05',
'year': '2023',
'hour': '14',
'min': '40',
'sec': '43',
'gender': 'male',
'place': 'New Delhi',
'lat': '28.7041',
'lon': '77.1025',
'tzone': '5.5',
'lan': 'en'}

headers = {
  'Authorization': 'Bearer {Your Auth Token}'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)


This API serves as a foundation for further astrological computations, including Kundli generation, planetary charts, yogas, and personalized reports. It provides all key birth-time astrological parameters such as tithi, nakshatra, rashi, yoga, karana, varna, gana, and planetary influences, essential for deeper Vedic analysis.